umbrello: CodeViewerOptionsPage Class Reference

umbrello 2.38.4 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Private Attributes | List of all members
CodeViewerOptionsPage Class Reference

`#include <codevieweroptionspage.h>`

Inheritance diagram for CodeViewerOptionsPage:

## Signals
void | applyClicked ()

## Public Member Functions
| CodeViewerOptionsPage (Settings::CodeViewerState options, QWidget *parent=0, const char *name=0)
| ~CodeViewerOptionsPage ()
Settings::CodeViewerState | getOptions ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Attributes
Settings::CodeViewerState | m_options

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

Author
  Brian Thomas

## Constructor & Destructor Documentation

## ◆ CodeViewerOptionsPage()

CodeViewerOptionsPage::CodeViewerOptionsPage | ( | Settings::CodeViewerState | options,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |
| explicit

## ◆ ~CodeViewerOptionsPage()

CodeViewerOptionsPage::~CodeViewerOptionsPage | ( |  | ) |

## Member Function Documentation

## ◆ apply()

void CodeViewerOptionsPage::apply | ( |  | ) |

## ◆ applyClicked

void CodeViewerOptionsPage::applyClicked | ( |  | ) |
| signal

## ◆ getOptions()

Settings::CodeViewerState CodeViewerOptionsPage::getOptions | ( |  | ) |

## Member Data Documentation

## ◆ m_options

Settings::CodeViewerState CodeViewerOptionsPage::m_options
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/codevieweroptionspage.h
- umbrello/dialogs/pages/codevieweroptionspage.cpp